# Uses of Enum Class
org.eclipse.jdt.ui.text.java.ISemanticTokensProvider.TokenType

Packages that use ISemanticTokensProvider.TokenType
Package
Description
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of ISemanticTokensProvider.TokenType in org.eclipse.jdt.ui.text.java

Subclasses with type arguments of type ISemanticTokensProvider.TokenType in org.eclipse.jdt.ui.text.java
Modifier and Type
Class
Description
`static enum`
`ISemanticTokensProvider.TokenType`
Methods in org.eclipse.jdt.ui.text.java that return ISemanticTokensProvider.TokenType
Modifier and Type
Method
Description
`ISemanticTokensProvider.TokenType`
ISemanticTokensProvider.SemanticToken.`tokenType()`
Returns the value of the `tokenType` record component.
`static ISemanticTokensProvider.TokenType`
ISemanticTokensProvider.TokenType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ISemanticTokensProvider.TokenType[]`
ISemanticTokensProvider.TokenType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.jdt.ui.text.java with parameters of type ISemanticTokensProvider.TokenType
Modifier
Constructor
Description
``
`SemanticToken(int ofset, int length, ISemanticTokensProvider.TokenType tokenType)`
Creates an instance of a `SemanticToken` record class.